Introduction

Interlex is a free Windows application that helps you learn vocabulary in a foreign language quickly and easily. The program is built around a simple idea: first you compile a list of words and phrases, then you test yourself until you have learnt them. The main features of Interlex are:

  • support for a wide range of languages
  • targeted testing in 4 different modes
  • multiple translations in native language
  • intelligent evaluation of alternative responses
  • informative feedback using text, colour and sound
  • powerful editor with Undo, Sort, Find and Print
  • automatic keyboard and font selection
  • selection of ready-to-use vocabulary files
  • wide range of user preference options
  • context-sensitive Help and daily tips

Interlex provides a highly focused, interactive learning environment that allows you to improve your language skills rapidly. Creating your own Interlex files is an excellent way to explore a language and become familiar with new vocabulary. You can then commit this knowledge to long-term memory by testing yourself in a variety of ways. Words and phrases are carefully selected with reference to previous input, encouraging you to concentrate on those you find difficult. Feedback is immediate and informative, without any distracting special effects. The overall result is a tangible sense of progress that makes vocabulary learning a pleasure instead of a chore.

Language learners can use Interlex to create vocabulary lists relating to literary passages, newspaper articles, specific themes (e.g. environmental issues), or problems of grammar (e.g. uses of the superlative). When testing vocabulary, Interlex analyses your responses intelligently and concentrates on words and phrases you find difficult to remember. Using Interlex for just 20 minutes a day will dramatically improve your knowledge of a language. The vocabulary lists you create over the duration of your course will also prove invaluable when you need to prepare for an exam.

Language teachers can use Interlex to create vocabulary files tailored to a particular course. Students will find it much easier to learn the material and will come to lessons better prepared as a result. You can make your files available over a network, distribute them via e-mail, or print them out for classroom use. As soon as your students start using Interlex regularly, you will notice a great improvement in their aptitude for vocabulary learning.


Supported languages

Interlex supports the following languages (providing that the appropriate operating-system components are installed):

Afrikaans, Albanian, Basque, Belarusian, Bulgarian, Catalan, Croatian, Czech, Danish, Dutch, English, Estonian, Finnish, French, German, Greek, Hungarian, Icelandic, Indonesian, Italian, Latvian, Lithuanian, Macedonian, Norwegian, Polish, Portuguese, Romanian, Russian, Serbian, Slovak, Slovenian, Spanish, Swedish, Turkish, Ukrainian.


Product support

Please feel free to contact me by sending an e-mail to andy@vocab.co.uk. I look forward to hearing your comments and suggestions.

If you wish to report a problem, try to provide as much information as possible, e.g. your Windows version, details of any error messages received, instructions to reproduce the behaviour, etc.


Registration

Please use the form below to register your copy of Interlex. Registration is completely free and will keep you informed about the latest changes and additions to the software.
Name:
E-mail address:
What is your
native language?
What language
are you studying?
Level:
How did you find
out about Interlex?
Comments:

No other information will be sent. Your e-mail address will not be used for any other purpose or passed to anyone else.


Licence agreement

1. LICENCE GRANT. This software is free for both private and commercial use.

2. OWNERSHIP. The software is owned and copyrighted by the Author. Your licence confers no title or ownership in the software and should not be construed as a sale of any right in the software.

3. COPYRIGHT. The software is protected by United Kingdom copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the software is transferred to you. You further acknowledge that title and full ownership rights to the software will remain the exclusive property of the Author and you will not acquire any rights to the software except as expressly set forth in this licence. You agree that any copies of the software will contain the same proprietary notices which appear on and in the software. The software must not be be repackaged or sold.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the software in whole or in part.

5. NO OTHER WARRANTIES. THE AUTHOR DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. THE AUTHOR DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this licence, the parties agree that such invalidity shall not affect the validity of the remaining portions of this licence.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL THE AUTHOR OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF THE AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL THE AUTHOR'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENCE FEE PAID BY YOU, IF ANY.

8. GOVERNING LAW. This licence will be governed by the laws of the United Kingdom.

9. ENTIRE AGREEMENT. This is the entire agreement between you and the Author which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this licence.


Acknowledgements

The vocabulary files were proof-read by Doris Cook, Ramon Dellaqia, Tamara Gmbikian, Bernardo Maciel, Sergio Otero-Gonzalez, Fred Pellerin, Elena Polisca and Sandra Wörle.

The installer was created with Inno Setup by Jordan Russell. For details see http://www.jrsoftware.org.


Vocabulary Exchange

You can download vocabulary files submitted by other Interlex users from the Vocabulary Exchange web page.

If you have any files you would like to share, please send them to andy@vocab.co.uk. As an added incentive I will spell-check your work with a multilingual spelling checker and send back a list of corrections if necessary. Files should cover a specific area of learning which may be topical or grammatical. Please use abbreviations and conventions similar to those employed in the files supplied with Interlex.


Donations

If you find Interlex useful, please consider making a voluntary donation to support its development.


About the vocabulary files

Interlex includes a selection of vocabulary files that you can use as a guide when creating your own files. They are normally installed to C:\Program Files\Interlex 2, and are marked as read-only to prevent unwanted modifications in a multi-user environment. To save a file you must choose Save As and specify a different name or location (e.g. My Documents).

A set of files covering various topics is provided for French, German, Italian, Portuguese, Russian and Spanish. The topics available are: Clothing, Education, Food, Health, Home, Leisure, Nature, People, Society, Town and Travel. A single sample file is also provided for each of the following languages: Danish, Dutch, Finnish, Greek, Hungarian, Norwegian, Polish, Romanian, Swedish and Turkish. See Abbreviations for an explanation of the abbreviations used in these files.

For information about vocabulary files available on the Internet, see Vocabulary Exchange.


Abbreviations

The following abbreviations are used in the vocabulary files supplied with Interlex:

acc. | accusative
adj. | adjective
dat. | dative
f. | feminine
impf. | imperfective
indecl. | indeclinable
inv. | invariable
m. | masculine
n. | noun
nt. | neuter
pf. | perfective
pl. | plural
sg. | singular
v. | verb


French files

The French vocabulary files adhere to the conventions listed below. See Abbreviations for an explanation of the abbreviations used in these files.

  • Nouns are preceded by the definite article, which is not translated.
  • Gender is indicated in the Notes field if it cannot be deduced from the article, e.g. l'argent, les loisirs.
  • Nouns of variable gender are preceded by le/la or l'. In the latter case the gender is indicated as m. or f.
  • Adjectives are given in both genders. If the feminine is formed by adding to the masculine, the ending appears in brackets, e.g. amusant(e), favori(te). Otherwise the two forms are separated by a slash, e.g. beau/belle, sec/sèche.


German files

The German vocabulary files adhere to the conventions listed below. See Abbreviations for an explanation of the abbreviations used in these files.

  • Nouns are preceded by the definite article, which is not translated.
  • If a plural form exists it is given in brackets after the noun, e.g. der Markt (Märkte).
  • A dash indicates that the plural is formed by adding to the singular, e.g. die Bank (-en).
  • A solitary dash indicates that there is no change in the plural, e.g. der Pullover (-).
  • Prepositional and/or case government is indicated in brackets, the case being preceded by a plus sign, e.g. vertrauen (+dat.), sich verlieben (in +acc.)
  • Spelling conforms to the recently introduced Rechtschreibreform.


Italian files

The Italian vocabulary files adhere to the conventions listed below. See Abbreviations for an explanation of the abbreviations used in these files.

  • Stress is indicated by a bullet before the stressed vowel (e.g. s·emplice, amich·evole), except when it falls unambiguously on the penultimate syllable (e.g. studente, zia, mafia cf. geograf·ia) or the word contains an accent (e.g. città, perché). For more information see Marking and testing stress.
  • Nouns are preceded by the definite article, which is not translated.
  • Gender is indicated in the Notes field if it cannot be deduced from the article, e.g. l'acqua.
  • Nouns of variable gender are preceded by il/la or l'. In the latter case the gender is indicated as m. or f.

Marking and testing stress

To insert a bullet press Shift+Ctrl+J. This is a custom keyboard shortcut assigned by default when Interlex is installed. Alternatively, click a text box with the right mouse button to display the Character menu.

Non-alphabetic characters are usually ignored when testing vocabulary. You should change this setting if you wish to include stress marks when testing into Italian. To do this, select the Evaluation tab in the Options dialogue box and clear the box marked Ignore punctuation in the list of foreign language settings.

Note: Unstressed versions of the Italian vocabulary files are provided in a separate subfolder.


Portuguese files

There are two sets of vocabulary files for Portuguese: European and Brazilian. The Brazilian files are located in a separate subfolder (usually C:\Program Files\Interlex 2\Portuguese\Brazilian). All the files adhere to the conventions listed below. See Abbreviations for an explanation of the abbreviations used in these files.

  • Nouns are preceded by the definite article, which is not translated.
  • Nouns of variable gender are preceded by o/a.
  • Adjectives appear in the masculine singular.
  • Irregular and semi-regular nouns and adjectives are followed by either (a) the plural ending alone, e.g. anel (-éis), or (b) the feminine singular, masculine plural and feminine plural endings, e.g. professor (-a -es -as).


Russian files

The Russian vocabulary files adhere to the conventions listed below. See Abbreviations for an explanation of the abbreviations used in these files.

  • Stress is indicated by a single close-quotation mark before the stressed vowel (e.g. каранд’аш). For more information see Marking and testing stress.
  • Nouns are followed by the genitive in brackets.
  • The genitive is usually given using a dash to represent the stem, e.g. дождь (-’я).
  • If the stem changes in the genitive, the ending starts with the last letter common to both forms, e.g. к’орень (-рня), д’еньги (-нег).
  • A solitary dash indicates the 'zero ending', e.g. н’ожницы (-).
  • If abbreviation is not possible or affords no advantage, the genitive is given in full, e.g. рот (рта), орёл (орл’а).
  • Gender is indicated in the Notes field if (a) it is not apparent from the ending(s), e.g. д’ядя, or (b) the noun does not decline.
  • Verbs are usually given in imperfective/perfective pairs, the two forms being separated by a slash. If only one form is given, the aspect is indicated as impf. or pf.
  • Prepositional and/or case government is indicated with the pronouns кто and что, e.g. смотр’еть (на ког’о/что).

Marking and testing stress

To insert a single close-quotation mark press Ctrl+Alt+J. This is a custom keyboard shortcut assigned by default when Interlex is installed. Alternatively, click a text box with the right mouse button to display the Character menu.

Non-alphabetic characters are usually ignored when testing vocabulary. You should change this setting if you wish to include stress marks when testing into Russian. To do this, select the Evaluation tab in the Options dialogue box and clear the box marked Ignore punctuation in the list of foreign language settings.

Note: Unstressed versions of the Russian vocabulary files are provided in a separate subfolder.


Spanish files

The Spanish vocabulary files adhere to the conventions listed below. See Abbreviations for an explanation of the abbreviations used in these files.

  • Most nouns are preceded by the definite article, which is not translated.
  • The article is omitted before country names such as España.
  • Nouns of variable gender are preceded by el/la.
  • Gender is indicated in the Notes field if it is not apparent from the article, e.g. el agua.


About typing in a foreign language

There are four ways to insert a foreign character or symbol in Interlex. You can:

  • click a text box with the right mouse button to display the Character menu
  • use a standard keyboard shortcut
  • set up a custom keyboard shortcut
  • use an alternative keyboard layout


Inserting a foreign character with the Character menu

The Character menu allows you to insert a foreign character or symbol. It is a popup menu that appears when you click a text box with the right mouse button.

Character menu
Character menu

You can also access the Character menu by pressing the Applications key. Use the arrow keys to select a character and press Enter to insert it.

Applications key
Applications key

The set of characters available on the Character menu depends on (a) the languages of the current file and (b) the text box you are typing in. For example, if you open a Russian-Spanish file, the Character menu will offer Cyrillic characters in the Word/phrase field and Western characters elsewhere.

The Character menu is most useful when your keyboard contains most of the letters you need and there are only a small number of accented or punctuation characters that cannot be typed directly. In other situations it may be more convenient to use a different keyboard layout. You can also insert foreign characters using standard and custom keyboard shortcuts.


Standard keyboard shortcuts for inserting foreign characters

Interlex provides a number of keyboard shortcuts for inserting accented characters and symbols. To type an accented character, press the shortcut key for the required accent, then type the letter you want to add the accent to.

The keyboard shortcuts listed below are based on a punctuation character that serves as a mnemonic. Some of them imply use of the Shift key. For example, Ctrl+^ is equivalent to Shift+Ctrl+6 on most keyboards.

To type | Press | Followed by
á, é, í, ó, ú, ý, ð | Ctrl+' (apostrophe) | a, e, i, o, u, y, d
à, è, ì, ò, ù | Ctrl+` (grave) | a, e, i, o, u
ä, ë, ï, ö, ü, ÿ | Ctrl+: (colon) | a, e, i, o, u, y
â, ê, î, ô, û | Ctrl+^ (caret) | a, e, i, o, u
ã, ñ, õ | Ctrl+~ (tilde) | a, n, o
æ, œ, ß | Ctrl+& | a, o, s
å | Ctrl+@ | a
ç | Ctrl+, (comma) | c
ø | Ctrl+/ | o

These shortcuts are intended for languages that use the Western script. To insert characters from another script, you may need to use a custom keyboard shortcut, the Character menu, or an alternative keyboard layout.


Custom keyboard shortcuts for inserting foreign characters

You can set up your own keyboard shortcuts for inserting foreign characters. For example, you could use Shift+Ctrl+A to insert the character å. To define a keyboard shortcut, choose Options from the View menu and select the General tab in the Options dialogue box. Choose a key, select the relevant script, then select the character you want to assign to the key.

The script determines the set of characters that are available when typing in a particular language. For example, English and French use the Western script, whereas Russian and Bulgarian use the Cyrillic script. If you are unsure which script to select, create or open a file for the language you are learning before you set up your shortcuts. When you select an unassigned key, the script for the foreign language of the current file is selected by default.

The table below shows the scripts used by most of the languages available in Interlex:

Afrikaans, Basque, Catalan, Danish, Dutch, English, Finnish, French, German, Icelandic, Indonesian, Italian, Norwegian, Portuguese, Spanish, Swedish | Western
Estonian, Latvian, Lithuanian | Baltic
Albanian, Croatian, Czech, Hungarian, Polish, Romanian, Slovak, Slovenian | Central European
Belorussian, Bulgarian, Macedonian, Russian, Serbian, Ukrainian | Cyrillic
Greek | Greek
Turkish | Turkish


Using an alternative keyboard layout

You can change the layout of your keyboard to emulate a keyboard from another country. For example, the key labelled Z on an English keyboard will produce a W if you use the French layout, and a Я if you use the Russian layout. The ability to change the keyboard layout is essential for typing non-Latin languages such as Greek and Russian.

To use an alternative keyboard layout you must first install the relevant input language via Windows Control Panel. You can install as many input languages as you require, and you can change the keyboard layout associated with each language. The current input language is indicated by a small blue box in the bottom right-hand corner of the screen. On English systems the box normally contains the letters En.

Input language selector
Input language selector

When you have installed the necessary input language(s), select Automatic keyboard switching from the General tab of the Options dialogue box. When this option is selected, the keyboard layout changes automatically to match the languages of the current file. For example, if you open a Greek-English file the keyboard layout will alternate between Greek and English.


About editing vocabulary

To create your own vocabulary file, select Create a new file from the Welcome dialogue box, or choose New from the File menu. The Properties dialogue box appears so you can set the foreign and native languages of the file. For example, if you are a native English speaker learning French, select French as the foreign language and English as the native language. You now have an empty file for vocabulary in the selected languages.

To add vocabulary to the file, choose Add from the Edit menu and fill in the fields in the Add/Edit dialogue box. For information about what to enter in each field, see the following topics:

Word/phrase field
Part of speech field
Notes field
Translations field

You can use the Edit command to modify a word, and the Delete command to delete a word. You can change the position of a word by choosing Cut and Paste or Move Up and Move Down, or by dragging it with the mouse. To give the file a name and save it to disk, choose Save As from the File menu.


Word/phrase field

Use the Word/phrase field in the Add/Edit dialogue box to enter a foreign word or phrase. In some languages you can indicate the gender of a noun by including the article, e.g. la table. If you do this, you will have to include articles in your answers when translating into the foreign language. This provides a convenient way to learn genders.

You can also include other grammatical forms or endings in the Word/phrase field, e.g. intelligent, -e. Another way to learn different forms or uses of a word by entering it as part of a phrase. Enter a simple definition of the word first, then add several examples of its use in context, e.g. c'est une femme intelligente.

Text in brackets can be omitted when testing, so enclose any optional text in brackets. For example, if you enter télé(vision), then both télé and télévision will also be accepted when the word is tested. You can also use this feature if you wish to include other grammatical forms without necessarily being tested on them, e.g. savoir (sais, savons).

Words separated by slashes are treated as alternative forms or spellings. For example, if you enter beau/belle then both beau and belle will also be accepted when the word is tested.

If you wish to include synonyms or synonymous phrases, separate them with a semicolon, e.g. le vélo; la bicyclette. When testing vocabulary, any correct word(s) or phrase(s) will be accepted.


Part of speech field

You can use the Part of speech field in the Add/Edit dialogue box to indicate the grammatical function of a word. Type an abbreviation such as n. (noun) or adj. (adjective). This information is never tested.

You do not have to specify the part of speech, but doing so can avoid ambiguity when testing. For example, if you are asked to enter a word meaning gold, the part of speech will tell you whether a noun or an adjective is expected.

The Part of speech field is also used when setting questions in Multiple choice mode. Interlex gives priority to words in the same category when searching for plausible responses. Items with nothing in this field are treated as a separate category, i.e. 'miscellaneous'.


Notes field

You can use the Notes field in the Add/Edit dialogue box to provide additional information about a word. Type an abbreviation such as m. (masculine) or inv. (invariable).

You can specify if and when this information is tested by changing the settings in the box marked Test Notes on the Question tab of the Options dialogue box.


Translations field

Use the Translations field in the Add/Edit dialogue box to enter one or more translations of a word or phrase. Use commas or semicolons to separate multiple translations. You can use semicolons to denote distinct senses of a word and commas to denote alternative renditions of the same sense (e.g. big, large; important). When testing, any correct translation(s) will be accepted.

You should always include to before an English infinitive to avoid confusion with other parts of speech. For example, the word book could be interpreted as a noun, whereas to book is clearly a verb.

Text in brackets can be omitted when testing, so enclose any optional text in brackets. For example, if you enter photo(graph), then both photo and photograph will also be accepted when the word is tested.

You can use slashes to specify alternative words in the middle of a phrase. For example, you can enter to make/bake a cake instead of to make a cake, to bake a cake.


Establishing conventions

You can enter vocabulary in many different ways depending on what you want to learn and your personal preferences. For example, you may choose to specify the gender of a noun by including an article, or you may prefer to omit the article and enter the gender in the Notes field.

Whatever you decide to do, you should try to be consistent when entering vocabulary. For example, if you want to include other grammatical forms in the Word/phrase field, you should decide which forms you are going to include and then do so consistently. Otherwise you will not be able to predict what is expected when testing your vocabulary. The same applies when deciding what abbreviations to use: do not use m. for some masculine words and masc. for others.

Consistency in the way you enter vocabulary will make your files easier to use when returning to them after a long period. It is particularly important if you plan to share your files with other people. For examples of conventions you may choose to adopt, see the following topics:


Order of words and phrases

New words are usually inserted immediately after the currently selected word. You can alter this behaviour by selecting Add new words at end of file from the General tab of the Options dialogue box. To change the position of an existing word, choose Cut and Paste or Move Up and Move Down from the Edit menu, or drag it to the desired position with the mouse.

You can arrange words in alphabetical or random order by choosing Sort or Shuffle from the Edit menu. To change the way a word is sorted, insert @ before the most significant letter. For example, el @hombre would be sorted under h rather than e. You can ensure you do not forget to do this by selecting Warn if sorting position not specified from the General tab of the Options dialogue box. You will then be reminded to include @ in every word you enter (including those sorted by the first letter).

Note: The order of items in a vocabulary file does not affect the order in which they are tested. Items are tested in a sequence designed to maxmize learning efficiency by analysing previous input.


About testing vocabulary

To learn the words and phrases in a vocabulary file, open it and choose Start Testing from the Test menu. A word is displayed for you to translate. Type a translation and press Enter. If your response is correct, a tick appears and the expected answer is shown in blue. Otherwise a cross appears and the expected answer is shown in red. Press Enter again to move to the next question.

If you get a question wrong but are not sure why, click Your Answer to review your answer. The button will now be labelled Correct Answer. Click it again to redisplay the expected answer.

When you have attempted several questions, choose Statistics from the Test menu to display the Statistics dialogue box. This will tell you how far you've got learning the vocabulary in the current file.

You can stop testing at any time by choosing Stop Testing from the Test menu, or by pressing Escape. You should then choose Save from the File menu to update your statistics. This will allow you to continue testing from the same point the next time you open the file.

When you have learnt all the vocabulary in the current file, the Statistics dialogue box box will appear with its progress indicator at 100%. To test yourself again choose Reset statistics.


Testing direction

Vocabulary testing may involve translation into your native language or into the language you are learning. To change the testing direction choose Into Native Language or Into Foreign Language from the Test menu. For example, if you are a native English speaker studying Italian, you can select Into Foreign Language to practise translation from English into Italian.

Translation into one's native language emphasises comprehension (i.e. listening and reading). It is quicker, less demanding, and allows much more room for guesswork. By contrast, translation into a foreign language concentrates on self-expression (i.e. speaking and writing). It is slower, more difficult, and requires greater precision and grammatical knowledge.


Multiple choice testing

In multiple choice mode you choose your answer from a list instead of typing it freely. To switch this mode on or off choose Multiple choice from the Test menu.

Multiple choice testing is not very rigorous and should not be relied on exclusively. However, it does provide a quick way to become familiar with some new vocabulary before attempting to learn it more thoroughly.


Evaluation of responses

When testing vocabulary, your response does not have to match the expected answer exactly. For example, capitalization, punctuation and spaces are usually ignored, and text enclosed in brackets can usually be omitted. To change the way responses are evaluated use the settings on the Evaluation tab of the Options dialogue box.


Testing statistics

When you answer a question correctly, the word is marked as learnt and is no longer selected for testing. This means that words you fail to recall are tested again and again until you remember them.

You can use the Statistics command on the Test menu to display testing statistics for the current file. This will tell you your progress (the number of words you have learnt) and your success rate (the frequency of correct responses). When you get a question right, both of these statistics increase. When you get a question wrong, your progress remains the same but your success rate decreases.

Note that editing a vocabulary file may change its statistics. For example, if you delete all the words you have learnt, your progress will decrease to zero because none of the remaining words are marked as learnt.

Once you have learnt all the words in the current file you cannot continue testing until you choose Reset statistics from the Statistics dialogue box.


Penalty points

By default, a single correct response is sufficient to learn a word - even if you have failed to recall it several times previously. This requirement may be insufficient for words that are particularly difficult to remember. The penalty point system ensures that difficult words receive the extra attention they require, making the learning process more balanced and effective. To turn this feature on, tick the box marked Use penalty points on the Question tab of the Options dialogue box.

When using penalty points, each incorrect response incurs a point against that word, and each correct response deducts a point. The more points a word has, the more often it is tested. A word is only marked as learnt if you recall it correctly after clearing any outstanding penalty points.

Note: When using penalty points, your progress does not necessarily increase after every correct response; it only increases when a word is marked as learnt.


Tool bar buttons

New | New
Open | Open
Save | Save
Print | Print
Cut | Cut
Copy | Copy
Paste | Paste
Undo | Undo
Redo | Redo
Add | Add
Edit | Edit
Delete | Delete
Sort | Sort
Start/Stop Testing | Start/Stop Testing
Into Native Language | Into Native Language
Into Foreign Language | Into Foreign Language
Multiple Choice | Multiple Choice
Hint | Hint
Statistics | Statistics


Keyboard shortcuts

Keyboard shortcuts for commands and actions are listed below. Shortcuts for inserting foreign characters are detailed in the topics Standard keyboard shortcuts for inserting foreign characters and Custom keyboard shortcuts for inserting foreign characters.

General
Help | F1
Options | F12
Exit | Alt+F4
Working with files
New | Ctrl+N
Open | Ctrl+O
Save | Ctrl+S
Import | Ctrl+I
Print | Ctrl+P
Editing vocabulary
First word | Home
Last word | End
Previous screen | Page Up
Next screen | Page Down
Previous word | Up
Next word | Down
Undo | Ctrl+Z
Redo | Ctrl+Y
Cut | Ctrl+X
Copy | Ctrl+C
Paste | Ctrl+V
Add | Insert
Edit | F2 or Enter
Delete | Delete
Move Up | Ctrl+U
Move Down | Ctrl+D
Sort | F8
Find | Ctrl+F
Find Next | F3
Testing vocabulary
Submit answer | Enter
Review answer | Alt+A
Continue | Enter
Change direction | Ctrl+Tab
Start Testing | Ctrl+T
Stop Testing | Ctrl+T or Escape
Into Native Language | Ctrl+E
Into Foreign Language | Ctrl+L
Multiple Choice | Ctrl+M
Hint | Ctrl+H
Statistics | F9


New command (File menu)

Tool bar: New tool bar button Keyboard: Ctrl+N

The New command displays the Properties dialogue box and creates a new vocabulary file for the specified languages.


Open command (File menu)

Tool bar: Open tool bar button Keyboard: Ctrl+O

The Open command opens a vocabulary file.


Import command (File menu)

Keyboard: Ctrl+I

The Import command adds vocabulary from another file to the current file. You can use this command to combine two Interlex files, or to convert vocabulary from a text file into Interlex format.

To combine two Interlex files, open one of them and choose Import. Select the second file in the Import dialogue box to add its contents to the first one. You can then save the combined file with a different name using the Save As command.

To convert vocabulary from a text file, first use the New command to create a file with appropriate foreign and native language settings. Then choose Import and select the file you want to convert. Enter the information required in the Convert Text File dialogue box and choose OK to convert the vocabulary and add it to the current file.

The Import command can convert text files in the following formats:

  • Text (Comma-delimited)
  • Text (Tab-delimited)
  • Unicode (Comma-delimited)
  • Unicode (Tab-delimited)
  • Unicode UTF-8 (Comma-delimited)
  • Unicode UTF-8 (Tab-delimited)

To convert a vocabulary list created in another program, save it in one of these formats before importing it into Interlex.

Note: Interlex inserts the text #Value?# if it encounters a blank in the Translations field during the conversion. You can search for this text afterwards to check for missing translations.


Save command (File menu)

Tool bar: Save tool bar button Keyboard: Ctrl+S

The Save command saves the current file to disk.


Save As command (File menu)

The Save As command saves the current file with a different name, in a different location, or in a different format.

To open a vocabulary file in another Windows program, choose an appropriate format from the drop-down list in the Save As dialogue box. The formats available are:

  • Rich Text Format (RTF)
  • Text (Comma-delimited)
  • Text (Tab-delimited)
  • Unicode (Comma-delimited)
  • Unicode (Tab-delimited)
  • Unicode UTF-8 (Comma-delimited)
  • Unicode UTF-8 (Tab-delimited)
  • Web Page (HTML)


Properties command (File menu)

The Properties command displays information about the current file. See Properties dialogue box for more information.


Print command (File menu)

Tool bar: Print tool bar button Keyboard: Ctrl+P

The Print command prints the current file. For more information see Print dialogue box.


Page Setup command (File menu)

The Page Setup command changes the layout of printed pages. See Page Setup dialogue box for more information.


Recent File List (File menu)

The Recent File List provides a quick way to reopen a recently used file without having to locate it in the Open dialogue box.


Exit command (File menu)

Keyboard: Alt+F4

The Exit command closes Interlex.


Undo command (Edit menu)

Tool bar: Undo tool bar button Keyboard: Ctrl+Z

The Undo command rolls back the last editing operation. For example, if you delete a word accidentally, you can restore it by choosing Undo Delete.


Redo command (Edit menu)

Tool bar: Redo tool bar button Keyboard: Ctrl+Y

The Redo command re-applies a change that was rolled back with the Undo command.


Cut command (Edit menu)

Tool bar: Cut tool bar button Keyboard: Ctrl+X

The Cut command is used to change the position of a word. To move the selected word, choose Cut, select the desired position, then choose Paste.


Copy command (Edit menu)

Tool bar: Copy tool bar button Keyboard: Ctrl+C

The Copy command copies the selected word to the clipboard.


Paste command (Edit menu)

Tool bar: Paste tool bar button Keyboard: Ctrl+V

The Paste command completes a move operation initiated with the Cut command, or adds a word that has been copied to the clipboard using the Copy command.


Add command (Edit menu)

Tool bar: Add tool bar button Keyboard: Insert

The Add command adds a word to the current file. For more information see Add/Edit dialogue box and About editing vocabulary.


Edit command (Edit menu)

Tool bar: Edit tool bar button Keyboard: F2

The Edit command modifies the selected word. For more information see Add/Edit dialogue box and About editing vocabulary.

Note: You can also edit a word by double-clicking on it, or by selecting it and pressing Enter.


Delete command (Edit menu)

Tool bar: Delete tool bar button Keyboard: Delete

The Delete command deletes the selected word.


Move Up command (Edit menu)

Keyboard: Ctrl+U

The Move Up command moves the selected word up one position. You can also move a word using Cut and Paste, or by dragging it with the mouse.


Move Down command (Edit menu)

Keyboard: Ctrl+D

The Move Down command moves the selected word down one position. You can also move a word using Cut and Paste, or by dragging it with the mouse.


Sort command (Edit menu)

Tool bar: Sort tool bar button Keyboard: F8

The Sort command arranges words in alphabetical order. You can change the way word is sorted by inserting @ before the most significant letter. For example, el @hombre would be sorted under h rather than e.

Choosing this command via the Edit menu displays Sort dialogue box, which allows you to change the field by which vocabulary is sorted (i.e. Word/phrase, Part of speech, Notes or Translations).


Shuffle command (Edit menu)

The Shuffle command arranges words in a random order.


Find command (Edit menu)

Keyboard: Ctrl+F

The Find command searches the current file using criteria specified in the Find dialogue box. If the end of the file is reached, searching continues from the beginning.


Find Next command (Edit menu)

Keyboard: F3

The Find Next command repeats the last search carried out using the Find dialogue box. Use this command to cycle through all the words that match your search criteria without redisplaying the dialogue box. If the end of the file is reached, searching continues from the beginning.


Start/Stop Testing command (Test menu)

Tool bar: Start/Stop Testing tool bar button Keyboard: Ctrl+T

The Start/Stop Testing command starts or stops testing of vocabulary in the current file. For more information see About testing vocabulary.

Note: You can also use the Escape key to stop testing vocabulary.


Into Native Language command (Test menu)

Tool bar: Into Native Language tool bar button Keyboard: Ctrl+E

The Into Native Language command changes the current testing direction. Use this command to practise translation from a foreign language into your native language.

Note: You can press Ctrl+Tab to reverse the testing direction.


Into Foreign Language command (Test menu)

Tool bar: Into Foreign Language tool bar button Keyboard: Ctrl+L

The Into Foreign Language command changes the current testing direction. Use this command to practise translation from your native language into the language you are learning.

Note: You can press Ctrl+Tab to reverse the testing direction.


Multiple Choice command (Test menu)

Tool bar: Multiple Choice tool bar button Keyboard: Ctrl+M

The Multiple Choice command switches multiple choice testing on or off.


Hint command (Test menu)

Tool bar: Hint tool bar button Keyboard: Ctrl+H

The Hint command reveals the correct answer to a question letter by letter. Use this command to see if you can remember the answer given the first few letters.

To avoid the temptation to cheat, you can choose Treat response as incorrect if Hint used from the Question tab of the Options dialogue box. When this option is selected, correct responses achieved using the Hint command are logged as if they were incorrect.


Statistics command (Test menu)

Tool bar: Statistics tool bar button Keyboard: F9

The Statistics command displays testing statistics for the current file. For more information, see Statistics dialogue box.


Tool Bar command (View menu)

The Tool Bar command shows or hides the Tool bar.


Status Bar command (View menu)

The Status Bar command shows or hides a panel at the bottom of the main window containing the following information (from left to right):

  • a description of the menu command or tool bar button under the mouse pointer
  • the languages of the current file
  • the number of words in the current file
  • the position of the current word (when editing) or the number of words learnt (when testing)
  • the percentage of words learnt
  • whether the file has changed since it was last saved


Font command (View menu)

The Font command changes the font used to display vocabulary in the main window, the Add/Edit dialogue box and the Find dialogue box. See Select Font dialogue box for more information.


Options command (View menu)

Keyboard: F12

The Options command displays the Options dialogue box, which contains program settings you can adjust to suit your preferences.


Add/Edit dialogue box

The Add/Edit dialogue box is displayed when a word or phrase is added to the current file using the Add command, or modified using the Edit command.

Add/Edit dialogue box

Word/phrase | Specifies the foreign word or phrase to add or modify. You can change the way the entry is sorted by typing @ before the first significant letter. For example, el @hombre would be sorted under h rather than e.
Part of speech | Specifies the grammatical classification of the word. Enter a single abbreviation such as n. (noun), v. (verb), adj. (adjective) or adv. (adverb). This information is not tested, so you can leave it out if you prefer. However, if you intend to use the multiple choice facility you should specify the part of speech so that Interlex can suggest other words in the same category.
Notes | Specifies other grammatical information about the word. Enter abbreviations such as m. (masculine), inv. (invariable) or collect. (collective). This information can be tested, so it is best to leave out anything obvious. Use this field for information that cannot be deduced otherwise.
Translations | Specifies one or more translations of the word. Multiple translations should be separated by commas or semicolons. You can use semicolons to denote distinct senses of a word and commas to denote alternative renditions of the same sense (e.g. big, large; important).


Convert Text File dialogue box

The Convert Text File dialogue box contains options for converting a text file using the Import command.

Convert Text File dialogue box

Format | Specifies the format of the file to be converted.
Start from line | Specifies the line at which to begin the conversion. Start from line 2 if the first line in the file contains column headings.
Available fields | Lists the fields used to store an item of vocabulary in Interlex.
Add | Adds the field selected in the list of available fields to the end of the list of fields to import.
Remove | Removes the selected field from the list of fields to import.
Fields to import | Specifies the fields for which data is to be imported. Add fields in the order they appear in the text file.


Find dialogue box

The Find dialogue box is displayed when you use the Find command to search the current file.

Find dialogue box

Search | Specifies the field to search.
Find | Specifies the text to search for.
Match | Specifies one of the following comparison methods: Any part of field (the field must contain the search text), Start of field (the field must begin with the search text), End of field (the field must end with the search text) or Whole field (the entire field must match the search text).
Match case | Specifies whether to distinguish between upper and lower case letters.
Match accents | Specifies whether to distinguish between letters with different accents.
Find whole word only | Specifies whether to search for a whole word or part of a word.
Find Next | Searches for the next item that matches the specified criteria. If the end of the file is reached, searching continues from the beginning.


Options dialogue box

The Options dialogue box contains program settings you can adjust to suit your preferences. It contains the following tabs: General, Question, Evaluation and Feedback.


Page Setup dialogue box

The Page Setup dialogue box contains settings that affect the layout of printed pages.

Page Setup dialogue box

Left, Right, Top, Bottom | Specifies the size of the margin.
One, Two, Three | Specifies the number of columns.
Separator | Specifies whether to print a line between columns.


Print dialogue box

The Print dialogue box is displayed when you use the Print command to print the current file.

Print dialogue box

Setup | Changes the printer, paper size or page orientation.
Change | Changes the font.
Document title | Specifies whether to print a title. If selected, the description given in the Properties dialogue box is printed at the top of the first page. If there is no description, the file name is printed instead.
Page numbers | Specifies whether to print page numbers.
Copies | Specifies the number of copies to print.
Part of speech, Notes, Translations | Specifies which fields to print in addition to the Word/phrase field.

Note: The Print dialogue box is not displayed when you click the Print tool bar button.


Properties dialogue box

The Properties dialogue box contains information about the current file. It contains two tabs, General and Summary.


Select Font dialogue box

The Select Font dialogue box is displayed when you use the Font command to change the display font. It is also used to select a font in the Print dialogue box.

Select font dialogue box

Font | Specifies the font to select.
Size | Specifies the size of the font in points.


Sort dialogue box

The Sort dialogue box is displayed when you use the Sort command to sort the current file.

Sort dialogue box

Sort by Specifies the field by which vocabulary is to be sorted.

Note: The Sort dialogue box is not displayed when you click the Sort tool bar button.


Statistics dialogue box

The Statistics dialogue box displays testing statistics for the current file. It contains two tabs, Progress and Success Rate.

The Reset Statistics option sets the current file's statistics to zero. Once you have learnt all the words in a file, you must choose Reset Statistics in order to continue testing.


Welcome dialogue box

The Welcome dialogue box is displayed when Interlex starts.

Welcome dialogue box

Create a new file | Creates a new (empty) vocabulary file.
Open an existing file | Opens an existing vocabulary file.
List of recently used files | Specifies the file to open. Select a file from the list, or choose Browse to display the Open dialogue box.


Evaluation tab (Options dialogue box)

See also: Options dialogue box, General tab, Question tab, Feedback tab

Native language

These settings control the evaluation of native-language responses:

Ignore capitalization | If selected, differences in capitalization are ignored. For example, if the expected response is January, then january will also be accepted.
Ignore punctuation | If selected, punctuation characters are ignored. For example, if the expected response is textbook, then text-book will also be accepted.
Ignore spacing | If selected, spaces are ignored. For example, if the expected response is schoolboy, then school boy will also be accepted.
Treat text in brackets as optional | If selected, text enclosed in the specified type of brackets may be omitted. For example, if the expected response is photo(graph), then both photo and photograph will also be accepted.
Accept any correct alternative word | If selected, words separated by the specified character are regarded as alternatives. For example, if the expected response is to make/bake a cake, then both to make a cake and to bake a cake will also be accepted.
Accept any correct translation | If selected, words or phrases separated by the specified characters are regarded as alternative translations. For example, if the expected response is bad, naughty, then both bad and naughty will also be accepted.

Foreign language

These settings control the evaluation of foreign-language responses:

Ignore capitalization | If selected, differences in capitalization are ignored. For example, if the expected response is dimanche, then Dimanche will also be accepted.
Ignore punctuation | If selected, punctuation characters are ignored. For example, if the expected response is belle-sœur, then bellesœur will also be accepted.
Ignore spacing | If selected, spaces are ignored. For example, if the expected response is quelque chose, then quelquechose will also be accepted.
Treat text in brackets as optional | If selected, text enclosed in the specified type of brackets may be omitted. For example, if the expected response is auto(mobile), then both auto and automobile will also be accepted.
Accept any correct alternative word | If selected, words separated by the specified character are regarded as alternatives. For example, if the expected response is ça/cela m'ennuie, then both ça m'ennuie and cela m'ennuie will also be accepted.
Accept any correct synonym | If selected, words or phrases separated by the specified characters are regarded as synonymous. For example, if the expected response is le vélo; la bicyclette, then both le vélo and la bicyclette will also be accepted.

English-specific

These settings control the evaluation of responses in English (both as a foreign and as a native language):

Allow auxiliary verb contractions | If selected, English auxiliary verbs may be abbreviated with an apostrophe. For example, if the expected response is she is not there, then both she's not there and she isn't there will also be accepted.
Allow omission of 'to' before verbs | If selected, to may be omitted from English infinitives. For example, if the expected response is to run, then run will also be accepted.
Allow substitution of '-ize' and '-ise' | If selected, English words ending in -ize and their derivatives may be spelled with an s or a z. For example, if the expected response is organization, then organisation will also be accepted.


Feedback tab (Options dialogue box)

See also: Options dialogue box, General tab, Question tab, Evaluation tab

Correct response

Show expected answer in | Specifies the colour used to display the expected answer when you give a correct response.
Continue to next question | If selected, the next question is displayed immediately when you give a correct response.
Play sound | Specifies a sound (*.wav) file to play when you give a correct response.

Incorrect response

Show expected answer in | Specifies the colour used to display the expected answer when you give an incorrect response.
Delay (seconds) | Specifies how long to disable the Continue button after an incorrect response.
Play sound | Specifies a sound (*.wav) file to play when you give an incorrect response.


General tab (Options dialogue box)

See also: Options dialogue box, Question tab, Evaluation tab, Feedback tab

Add new words at end of list | If selected, new words appear at the end of the list. Otherwise, they are inserted before the selected word.
Warn if word already exists | If selected, a warning message is displayed if you add a word or translation that already exists in the current file.
Warn if sorting position not specified | If selected, a warning message is displayed if you do not specify the sorting position by inserting @ before the most significant letter.
Warn if Part of Speech not specified | If selected, a warning message is displayed if you do not specify the Part of Speech.
Tab past Part of Speech and Notes | If selected, the Part of Speech and Notes fields are skipped when you use the Tab key to move between items in the Add/Edit dialogue box.
Display learnt items in | Specifies the colour used to display words that are marked as learnt. For more information, see Testing Statistics.
Key | Specifies a keyboard shortcut that can be used to insert a character.
Script | Specifies the script containing the required character. The script for the foreign language of the current file is selected by default. For more information see Custom keyboard shortcuts for inserting foreign characters.
Character | Specifies the character to insert when the selected key is pressed.
Clear All | Clears all shortcut key assignments.
Automatic keyboard switching | If selected, Interlex changes the keyboard layout automatically according to the languages of the current file. For example, if you open a Greek-English file, the keyboard layout will alternate between Greek and English. To use this facility, you must first install the appropriate input language(s) via Windows Control Panel.


Question tab (Options dialogue box)

See also: Options dialogue box, General tab, Evaluation tab, Feedback tab

Native language | If selected, information in the Notes field is tested when learning vocabulary into your native language.
Foreign language | If selected, information in the Notes field is tested when learning vocabulary into a foreign language.
Number of items to choose from | Specifies the number of items you want to choose from when answering a multiple choice question.
Use penalty points to target difficult words | If selected, extra practice is allocated to words you fail to recall. Using this option means you may need to recall a word more than once before it is marked as learnt.
Maximum number of points per word | Specifies the number of consecutive incorrect responses you can give for the same word before no extra practice is allocated.
Treat response as incorrect if Hint used | If selected, correct responses achieved using the Hint command are logged as if they were incorrect.


General tab (Properties dialogue box)

See also: Properties dialogue box, Summary tab

Name | Displays the name of the file.
Location | Displays the folder in which the file is located.
Size | Displays the size of the file.
Modified | Displays the date and time the file was last saved.
Read-only | Shows whether the file is read-only. To save changes to a read-only file, save it with a different name or in a different location. This attribute cannot be changed from Interlex.
Hidden | Shows whether the file is hidden. This attribute cannot be changed from Interlex.
Archive | Shows whether the file should be archived. This attribute cannot be changed from Interlex.
System | Shows whether the file is a system file. This attribute cannot be changed from Interlex.


Summary tab (Properties dialogue box)

See also: Properties dialogue box, General tab

Foreign | Specifies the language of the foreign words and phrases in the file. Select the language you are learning.
Native | Specifies the language of the translations in the file. Select your native language.
Description | Allows you to enter a description of the file. The description appears at the top of the first page when the file is printed.
Author | Allows you to specify the author of the file.
Comments | Allows you to enter additional information about the file.


Progress tab (Statistics dialogue box)

See also: Statistics dialogue box, Success Rate tab

Statistics dialogue box

Words learnt | Displays the number of words you have learnt.
Words in file | Displays the number of words in the file.
Progress | Displays the number of words you have learnt as a percentage of the number of words in the file.


Success Rate tab (Statistics dialogue box)

See also: Statistics dialogue box, Progress tab

Questions answered correctly | Displays the number of questions you have answered correctly.
Questions attempted | Displays the number of questions you have attempted.
Success rate | Displays the number of questions you have answered correctly as a percentage of the number of questions you have attempted.